
/**
 * StringsAndSuch is a class that contains a few bugs which you must figure
 * out and correct so the test cases will pass.
 * 
 * @author Erik Owen
 * @version 11/17/12
 */
public class StringsAndSuch
{
    /**
     * Constructor for objects of class StringsAndSuch
     */
    public StringsAndSuch()
    {
    }

    /**
     * This method determienes if two words are the reverse of each other (ignoring capitalization).
     * 
     * @param  word1   The first word to be checked.
     * @param  word2   The second word to be checked.
     * @return    boolean determining if they are the reverse of each other or not.
     */
    public static boolean reverseChecker(String word1, String word2)
    {
        word1.toUpperCase();
        word2.toUpperCase();
        if (word1.length() == word2.length())
        {
            int left = 0;
            int right = word2.length() - 1;
            while (left < right)
            {
                String word1Letter = word1.substring(left, left+1);
                String word2Letter = word2.substring(right, right+1);
                if (word1Letter != word2Letter)
                {
                    return false;
                }
                left++;
                right--;
            }
        }
        
        return true;
    }
}
